define element employees 
{ 
    element title, 
    element employee+, 
    element meeting+ 
}

define element title {xsd:string}
define element employee {xsd:string} 

define element meeting 
{ 
    attribute ID {xsd:string}?,
    attribute time {xsd:string}?,
    element title, 
      (element p | element location | element meeting)* 
}

define element p {xsd:string}

define element location 
{ 
    attribute address { xsd:string },
    element title, 
    element phone 
} 

define element phone 
{ 
    attribute number {xsd:string}
}

define element meetingsummation 
{ 
    attribute ID {xsd:string}?,
    attribute time {xsd:string}?,
    element title, 
    element locationCount {xsd:int}, 
    element meetingsummation*
}

define global $employeesList {treat as document employees (glx:document-validate("ch06_03.xml", "employees"))}

define function summation($elem as element) as element*
{
    let $name := local-name($elem)
    return
        if ($name = "meeting")
        then
            <meeting>
                {$elem/@*}
                {for $item in $elem/* return summation($item)}
             </meeting>
         else if ($name = "title")
         then $elem
         else ()
}


